package com.your.company.domain.UDEPattern.code;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.ibm.broker.config.appdev.patterns.ui.BasePatternPropertyEditor;
import com.ibm.broker.config.appdev.patterns.ui.PatternPropertyEditorSite;

public class MyEditor extends BasePatternPropertyEditor {
	private MyComposite composite;
	
	@Override
	public void configureEditor(PatternPropertyEditorSite site, boolean required, String configurationValues) {
		super.configureEditor(site, required, configurationValues);		
	}
	
	@Override
	public void createControls(Object parent) {
		Composite parentComposite = (Composite) parent;
		PatternPropertyEditorSite site = getSite();
		
		//Create MyComposite
		composite = new MyComposite(parentComposite, SWT.NONE,  site);
		
	}
	@Override
	public String isValid() {
		//The Pattern Instance Editor will validate the parameter using this method.
		
		String selection = getValue();
		if (selection != null) {
			return null;
		}
		return "Nothing currently selected..!";
	}
	
	

/*	@Override
	public void setValue(String value) {
		//This method sets the value of the Parameter (was not implemented in this case)
		composite.setValue(value);
	}*/
	
	@Override
	public String getValue() {
		//Retrieve the selected value from MyComposite.
		return composite.getValue();
	}
	
	@Override
	public void setEnabled(boolean enabled) {
		//Enable / Disable the User-Defined Editor.
		composite.setEnabled(enabled);
	}
}


